Deploy iegreview with scap3
Closed, ResolvedPublic

bd808 added a subscriber: bd808.Mar 11 2016, 11:28 PM

Change 292170 had a related patch set uploaded (by Chad):
scap3: begin basic configuration for iegreview

https://gerrit.wikimedia.org/r/292170

Change 292170 abandoned by Chad:
scap3: begin basic configuration for iegreview

Reason:
Haven't had time to finish, unlicking cookie

https://gerrit.wikimedia.org/r/292170

mmodell triaged this task as Low priority.Feb 10 2017, 6:11 PM

Change 375112 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] Deploy iegreview with scap3

https://gerrit.wikimedia.org/r/375112

Since D766: Add scap3 deployment support landed I think this should be good to deploy whenever the puppet patches merged.

@bd808 would you have some time either with what remains of this week (or next week) to run a deployment?

This assumes we can convince someone with ops +2 to donate some time to merge patches and fiddle with puppet on krypton. Once we have a rough time window, we can hopefully rope someone in.

I made some notes that should make this process easier: https://wikitech.wikimedia.org/wiki/Scap3/Migration_Guide#First_Deployment

bd808 added a subscriber: ema.Wed, Sep 6, 3:51 PM

@bd808 would you have some time either with what remains of this week (or next week) to run a deployment?

Yes, I can make some time if we can get the root help that is needed. This being related to the TechOps quarterly goal to stop using salt in production should help with that. It looks like @ema is on clinic duty this week. Maybe he can tell us when he would have time to do the cumin and puppet parts from https://wikitech.wikimedia.org/wiki/Scap3/Migration_Guide#First_Deployment ?

Change 375112 merged by Filippo Giunchedi:
[operations/puppet@production] Deploy iegreview with scap3

https://gerrit.wikimedia.org/r/375112

Mentioned in SAL (#wikimedia-operations) [2017-09-12T16:55:24Z] <niharika29@tin> Started deploy [iegreview/iegreview@69c4c3f]: Deploying iegreview with scap3 T129154

Mentioned in SAL (#wikimedia-operations) [2017-09-12T16:55:38Z] <niharika29@tin> Finished deploy [iegreview/iegreview@69c4c3f]: Deploying iegreview with scap3 T129154 (duration: 00m 01s)

thcipriani closed this task as Resolved.Wed, Sep 13, 3:47 PM
thcipriani claimed this task.

deployed!